%global momorel 3
%global mozver 1.7.8

Summary:   GNOME Web browser based on gecko
Name:      galeon
Version:   1.3.20
Release:   %{momorel}m
License:   GPL
Group:     Applications/Internet
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 13954dd2f11748c02f3071ac9987d7d3
Patch0:    galeon-1.3.7-smart-bookmark.patch
URL:       http://galeon.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildPreReq: gettext >= 0.10.35
BuildPrereq: glib-devel
BuildPrereq: gtk+-devel >= 2.4
BuildPrereq: GConf-devel
BuildPreReq: mozilla-devel >= %{mozver}
BuildPreReq: libstdc++-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m

PreReq: GConf
PreReq: scrollkeeper
Provides: webclient

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine)
and Necko (Mozilla's networking engine). It's a GNOME web browser,
designed to take advantage of as many GNOME technologies as makes sense.
Galeon was written to do just one thing - browse the web.

%prep
%setup -q
%patch -p1

%build
%configure --with-mozilla-snapshot=%{mozver}
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog FAQ INSTALL NEWS README* THANKS TODO
%config %{_sysconfdir}/sound/events/*
%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/galeon
%{_bindir}/galeon-config-tool
%{_libdir}/bonobo/servers/*.server
# %%{_libdir}/galeon
%{_datadir}/applications/galeon.desktop
%{_datadir}/galeon
%{_datadir}/gnome/help/galeon
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/omf/galeon
%{_datadir}/pixmaps/galeon.png
%{_datadir}/sounds/galeon
%{_mandir}/man1/galeon.1*

%changelog
* Thu May 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.20-3m)
- rebuild against mozilla-1.7.8

* Mon Apr 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.20-2m)
- rebuild against mozilla-1.7.7

* Thu Mar 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.20-1m)
- update to 1.3.20 for mozilla-1.7.6

* Thu Jan 20 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.19-1m)
- update to 1.3.19

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.18-2m)
- rebuild against mozilla-1.7.5

* Thu Oct 28 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.18-1m)
- update to 1.3.18

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.16-6m)
- rebuild against gcc-c++-3.4.1

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.16-5m)
- rebuild agaist mozilla-1.7.3

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.16-4m)
- rebuild agaist mozilla-1.7.2

* Tue Jul  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.16-3m)
- remove '%%requires_eq mozilla' and rebuild against mozilla-1.7-2m

* Mon Jul  5 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.16-2m)
- rebuild agaist mozilla-1.7

* Sun Jul 04 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.16-1m)
- update to 1.3.16
-  This version works with Mozilla 1.4 through 1.7, 1.8a1, and trunk

* Fri Jun 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.15-1m)
- cancel %%requires_eq gtk+

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.13a-3m)
- rebuild against gtk+-2.4.0

* Fri Mar 19 2004 Toru Hoshina <t@momonga-linux.org>
- (1.3.13a-2m)
- revised spec for enabling rpm 4.2.

* Sun Feb 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.13a-1m)
- update to 1.3.13a

* Fri Jan 23 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.12-1m)
- update to 1.3.12
- use default CFLAGS and CXXFLAGS

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.11-2m)
- rebuild against mozilla-1.6

* Sat Dec 20 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.11-1m)
- update to 1.3.11

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.3.10-1m)
- update to 1.3.10

* Fri Oct 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.9-2m)
- rebuild against mozilla-1.5

* Wed Sep 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.9-1m)
- major bugfixes

* Wed Aug 27 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.7-1m)
- update to 1.3.7
- import galeon-1.3.7-smart_bookmark.patch
    from momonga-devel.ja:02032 (thank you Tomoaki Yoshida san. )

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.5-3m)
- rebuild against for mozilla-1.4.
- build with gcc3.2

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.5-2m)
- rebuild against for gtk+-2.2.2

* Mon Jun  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.5-1m)
  update to 1.3.5

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.4-2m)
- rebuild against for mozilla-1.3.1

* Wed May  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.4-1m)
  update to 1.3.4

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-4m)
- rebuild against for XFree86-4.3.0

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-3m)
- rebuild against for mozilla-1.3

* Wed Mar 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-2m)
- galeon-1.3.3-activate.patch

* Tue Mar 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-1m)
- version 1.3.3

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.2-2m)
  rebuild against openssl 0.9.7a

* Wed Mar  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.2-1m)
- version 1.3.2

* Tue Feb 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.8-2m)
- add BuildPreReq: libstdc++2.96-devel >= 2.96
  for include <utility> in SideBar.cpp
- add Requires: GConf >= 2.2.0 for force rebuild

* Mon Feb 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.8-1m)
- version 1.2.8

* Wed Feb 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.2.7-4m)
  mozilla 1.2.1

* Fri Feb  7 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.2.7-3m)
- use gcc2.96 for C++ ABI compatibility with plugins (except ppc)
  see [Momonga-devel.ja:01338]

* Wed Dec 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.7-2m)
- fix %files section (thanks yos san)

* Thu Dec  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.7-1m)
- update 1.2.7

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.6-2m)
- use gcc-3.2

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.6-1m)
- version up

* Thu Aug 08 2002 Kenta MURATA <muraken2@nifty.com>
- (1.2.5-5m)
- mozilla >= 1.0 required at build time.

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.5-4m)
- add 'galeon-1.2.5-TOCProtocolHandler.cpp.patch' to avoid build failure
  on ppc

* Sun Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-3m)
- remove omf, gnome/help

* Sun Jun  9 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.5-2k)
- update to 1.2.5

* Sun Jun  2 2002 Shigeyuki Yamashita <shige@kondara.org>
- (1.2.3-10k)
- fix install again...

* Sun Jun  2 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.3-8k)
- fix install

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.3-6k)
- cancel gcc-3.1 autoconf-2.53

* Sun May 26 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.3-4k)
- modified install

* Sun May 26 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.3-2k)
- update to galeon 1.2.3
- update ghelppath.patch
- use gcc_2_95_3

* Tue May 14 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.1-6k)
- rebuild against Mozilla-1.0rc2

* Sat Apr 27 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.1-4k)
- update description
- update %post scripts from official package

* Fri Apr 26 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.2.1-2k)
  update to 1.2.1

* Thu Mar 14 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.3-12k)
- Requires: libgnome

* Tue Mar 12 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.3-10k)
- remove gnome-core depends

* Mon Mar  4 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.3-8k)
- use gconf2

* Wed Feb 06 2002 Toshiro Hikita <toshi@sodan.org>
- (1.0.3-2k)
- updated to 1.0.3
- remove dialogdefault.patch smartbookmarkenc.patch

* Wed Dec 19 2001 Shingo Akagaki <dora@kondara.org>
- (1.0.1-4k)
- sgml enc
- dbmake

* Sun Dec 16 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0.1-2k)
- up to 1.0.1

* Wed Dec 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-18k)
- change default-page.html.ja

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-16k)
- add toc page

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-14k)
- add Requires nautilus-converters
- change ghelp path patch

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-12k)
- ghelp path patch

* Tue Dec  4 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-10k)
- smart bookmark encoder

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (1.0-8k)
- provide webclient as a virtual package.

* Fri Nov 30 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-6k)
- rebuild against against mozilla 0.9.6.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (1.0-4k)
- rebuild against mozilla 0.9.6.

* Mon Nov 26 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0-2k)
- up to 1.0

* Mon Nov 19 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.12.8-2k)
- up to 0.12.8
- delete galeon-0.12.6-yarisugi.patch (ja.po was updated)

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.12.7-6k)
- nigittenu

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- (0.12.7-4k)
- few transration

* Sun Nov 11 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.12.7-2k)
- up to 0.12.7
- change required package version

* Fri Nov  2 2001 Toru Hoshina <t@kondara.org>
- (0.12.6-6k)
- rebuild against mozilla 0.9.5

* Mon Oct 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12.6-2k
  update to 0.12.6

* Tue Oct 23 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12.5-2k)
  update to 0.12.5

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (0.12.3-4k)
- rebuild against gettext 0.10.40.

* Sun Oct  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12.3-2k)

* Tue Sep 25 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12.2-2k)

* Mon Sep 17 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12.1-2k)

* Thu Aug 23 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12-6k)
  added gconftool --shutdown

* Thu Aug 23 2001 Shingo Akagaki <dora@kondara.org>
- kondaraization
- port from Jirai

* Tue Aug 21 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.12-2k)

#* Tue Aug 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
#- (0.11.3-4k)
#- add BuilePreReq: mozilla-devel >= 0.9.1 Tag

#Jirai * Sun Aug 20 2001 KUSUNOKI, Masanori <nori@kondara.org>
#Jirai - version 0.12

* Sat Jul 28 2001 Toru Hoshina <toru@df-usa.com>
- (0.11.3-2k)

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- kondaraization